com.ihr.xbrl.om.formula

## Enum XBRLVariableType

- java.lang.Object
- - java.lang.Enum<XBRLVariableType>
  - - com.ihr.xbrl.om.formula.XBRLVariableType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLVariableType>

      public enum XBRLVariableType
      extends java.lang.Enum<XBRLVariableType>

  The Enum XBRLVariableType.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTANT` CONSTANT variable, for internal use only in order to pass values from one side to another.
    `FACT` FACT variable.
    `GENERAL` GENERAL variable.
    `PARAMETER` PARAMETER variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLVariableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLVariableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FACT

          public static final XBRLVariableType FACT

      FACT variable.

    - #### GENERAL

          public static final XBRLVariableType GENERAL

      GENERAL variable.

    - #### PARAMETER

          public static final XBRLVariableType PARAMETER

      PARAMETER variable.

    - #### CONSTANT

          public static final XBRLVariableType CONSTANT

      CONSTANT variable, for internal use only in order to pass values from one side to another. Not backed up in a XBRLFormulaResource

  - ### Method Detail

    - #### values

          public static XBRLVariableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLVariableType c : XBRLVariableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLVariableType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null